(define-module (glicid-tainted packages parallel)
  #:use-module (guix)
  #:use-module (guix packages)
  #:use-module (guix download)
  #:use-module (glicid packages parallel)
  #:use-module (guix-science-nonfree packages cuda)
  #:use-module (nongnu packages nvidia)
)

(define-public slurm-glicid+cuda
  (package
    (inherit slurm-glicid)
    (name "slurm-glicid+cuda")

    (inputs (modify-inputs (package-inputs slurm-glicid)
              (prepend cuda)))
    (arguments
     (substitute-keyword-arguments (package-arguments slurm-glicid)
       ;; Necessary because libnvidia-ml.so.1 does not actually exist.
       ((#:validate-runpath? _ #f)
        #false)
       ((#:configure-flags flags '())
        #~(append (list (string-append "--with-nvml="
                                       #$(this-package-input "cuda-toolkit")))
              #$flags))))))


(define-public slurm-glicid+nvml
  (package
    (inherit slurm-glicid)
    (name "slurm-glicid+nvml")

    (inputs (modify-inputs (package-inputs slurm-glicid)
              (prepend cuda nvidia-nvml)))
    (arguments
     (substitute-keyword-arguments (package-arguments slurm-glicid)
       ;; Necessary because libnvidia-ml.so.1 does not actually exist.
       ((#:validate-runpath? _ #f)
        #false)
       ((#:configure-flags flags '())
        #~(append (list (string-append "--with-nvml="
                                       #$(this-package-input "nvidia-nvml")))
              #$flags))))))


